/*
	$Id: LogModifier.java,v 1.1.1.1 2003/04/08 14:55:47 admin Exp $
	-----
	
    SSTP Bottle Client for MacOS X, using protocol SLPP2.0
    Copyright (C) 2001-2002 phonohawk.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package log;
import log.*;
import java.io.*;
import java.util.*;
import java.util.zip.*;

public class LogModifier extends Thread
{
    public static void updateVoteNumOfBottle(String mid,int num)
	{
		updateVoteOrAgree("vote",mid,num);
	}
	
	public static void updateAgreeNumOfBottle(String mid,int num)
	{
		updateVoteOrAgree("agree",mid,num);
	}
    
	protected static void updateVoteOrAgree(String type,String mid,int num)
	{
		Calendar timestamp = MidAnalyzer.analyzeTimeStampFromMid(mid);
		int year = timestamp.get(Calendar.YEAR);
		int month = timestamp.get(Calendar.MONTH) + 1;
		int day = timestamp.get(Calendar.DAY_OF_MONTH);
		
		LogData log = LogDataServer.sharedLogServer().get(year,month,day);
		synchronized (log) {
			for (Enumeration e = log.elements(LogData.LOG_ALL); e.hasMoreElements(); ) {
				Hashtable bottle = (Hashtable)e.nextElement();
				
				if (mid.equals(bottle.get("mid"))) {
					// B
					bottle.put(type,Integer.toString(num));
					log.beDirty(LogData.LOG_ALL);
					break;
				}
			}
		}
	}
}
